/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/thirdparty/jquery','sap/base/Log','sap/base/assert','sap/base/util/extend'],function(q,L,a,b){"use strict";var c={};var K={js:["controller","designtime","fragment","support","view"],json:["fragment","view"],html:["fragment","view"],xml:["fragment","view"]};var r=new RegExp("\\.("+Object.keys(K).join("|")+")$");c.getKnownSubtypes=function(){return K;};c.getAllRequiredModules=function(){var m=[],M=sap.ui.loader._.getAllModules(true),o;for(var s in M){o=M[s];if(o.ui5&&o.state!==-1){m.push(o.ui5);}}return m;};var f=Object.create(null);c.registerResourcePath=function(R,u){if(!u){u={url:null};}if(!f[R]){var U;if(typeof u==="string"||u instanceof String){U=u;}else{U=u.url;if(u.final){f[R]=u.final;}}var o=sap.ui.require.toUrl(R);var C;if(U!==o||u.final){C={paths:{}};C.paths[R]=U;sap.ui.loader.config(C);L.info("LoaderExtensions.registerResourcePath ('"+R+"', '"+U+"')"+(u['final']?" (final)":""));}}else{L.warning("LoaderExtensions.registerResourcePath with prefix "+R+" already set as final. This call is ignored.");}};c.resolveUI5Url=function(u){if(u.startsWith("ui5:")){var n=u.replace("ui5:","");if(!n.startsWith("//")){throw new Error("URLs using the 'ui5' protocol must be absolute. Relative and server absolute URLs are reserved for future use.");}n=n.replace("//","");return sap.ui.loader._.resolveURL(sap.ui.require.toUrl(n));}else{return u;}};c.loadResource=function(R,o){var t,D,u,E,g,h,s;if(c.notifyResourceLoading){h=c.notifyResourceLoading();}if(typeof R==="string"){o=o||{};}else{o=R||{};R=o.name;}o=b({failOnError:true,async:false},o);t=o.dataType;if(t==null&&R){t=(t=r.exec(R||o.url))&&t[1];}a(/^(xml|html|json|text)$/.test(t),"type must be one of xml, html, json or text");g=o.async?new q.Deferred():null;function i(d,e){if(d==null&&o.failOnError){E=e||new Error("no data returned for "+R);if(o.async){g.reject(E);L.error(E);}if(h){h();}return null;}if(o.async){g.resolve(d);}if(h){h();}return d;}function j(d){var C=q.ajaxSettings.converters["text "+t];if(typeof C==="function"){d=C(d);}return i(d);}D=sap.ui.loader._.getModuleContent(R,o.url);if(D!=undefined){if(o.async){setTimeout(function(){j(D);},0);}else{D=j(D);}}else{s=sap.ui.loader._.getSyncCallBehavior();if(!o.async&&s){if(s>=1){L.error("[nosync] loading resource '"+(R||o.url)+"' with sync XHR");}else{throw new Error("[nosync] loading resource '"+(R||o.url)+"' with sync XHR");}}q.ajax({url:u=o.url||sap.ui.loader._.getResourcePath(R),async:o.async,dataType:t,headers:o.headers,success:function(d,e,x){D=i(d);},error:function(x,d,e){E=new Error("resource "+R+" could not be loaded from "+u+". Check for 'file not found' or parse errors. Reason: "+e);E.status=d;E.error=e;E.statusCode=x.status;D=i(null,E);}});}if(o.async){return Promise.resolve(g);}if(E!=null&&o.failOnError){throw E;}return D;};c.notifyResourceLoading=null;return c;});
