/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/base/util/ObjectPath','sap/base/util/extend','sap/ui/base/EventProvider','sap/ui/base/ManagedObject','sap/ui/core/mvc/ControllerMetadata','sap/ui/core/mvc/ControllerExtension','sap/ui/core/mvc/OverrideExecution',"sap/base/Log","sap/ui/thirdparty/jquery"],function(O,e,E,M,C,a,b,L,q){"use strict";var r={};var m={};var c=E.extend("sap.ui.core.mvc.Controller",{metadata:{stereotype:"controller",methods:{"byId":{"public":true,"final":true},"getView":{"public":true,"final":true},"getInterface":{"public":false,"final":true},"onInit":{"public":false,"final":false,"overrideExecution":b.After},"onExit":{"public":false,"final":false,"overrideExecution":b.Before},"onBeforeRendering":{"public":false,"final":false,"overrideExecution":b.Before},"onAfterRendering":{"public":false,"final":false,"overrideExecution":b.After}}},constructor:function(n){var t=null;if(typeof(n)=="string"){if(!r[n]){L.warning("Do not call sap.ui.core.mvc.Controller constructor for non typed scenario!");}t=r[n];}E.apply(this,arguments);if(t){e(this,r[n]);}if(this.extension){throw new Error("The keyword 'extension' cannot be used as a member of a controller");}this["_sapui_Extensions"]={};c.extendByMember(this,false);this._sapui_isExtended=false;},_isExtended:function(){return this._sapui_isExtended;},getInterface:function(){var i={};var o=this.getMetadata();var p=o.getAllPublicMethods();p.forEach(function(s){var F=this[s];if(typeof F==='function'){i[s]=function(){var t=F.apply(this,arguments);return(t instanceof c)?t.getInterface():t;}.bind(this);}}.bind(this));this.getInterface=function(){return i;};return i;}},C);function d(o,i,l){var n=i.getMetadata().getName();var p=o.getMetadata();var s=o["_sapui_Extensions"];var I=o.getInterface();var t=a.getMetadata().getLifecycleConfiguration();var u={namespace:n,extension:i,reloadNeeded:false};i._setController(I);if(i.getMetadata().hasOverrides()){var v,w,x,y,z=i.getMetadata().getOverrides(),S=i.getMetadata().getStaticOverrides();for(y in S){x=i.getMetadata();if(!x.isMethodFinal(y)){a.overrideMethod(y,i,S,i,x.getOverrideExecution(y));}else{L.error("Method '"+y+"' of extension '"+n+"' is flagged final and cannot be overridden by calling 'override'");}}for(y in z){if(y!=='extension'){if(y in i.base){L.debug("Overriding  member '"+y+"' of original controller.");var A=z[y];var B=o[y];if(typeof B=="object"&&typeof A=="object"){w=s[y];x=w.extension.getMetadata();for(v in A){if(!x.isMethodFinal(v)){a.overrideMethod(v,B,A,i,x.getOverrideExecution(v));}else{L.error("Method '"+v+"' of extension '"+w.namespace+"' is flagged final and cannot be overridden by extension '"+n+"'");}}}else if(!p.isMethodFinal(y)){a.overrideMethod(y,o,z,i,p.getOverrideExecution(y));}else{L.error("Method '"+y+"' of controller '"+o.getMetadata().getName()+"' is flagged final and cannot be overridden by extension '"+n+"'");}}else if(y in t){a.overrideMethod(y,o,z,i,p.getOverrideExecution(y));}else{L.error("Method '"+y+"' does not exist in controller "+o.getMetadata().getName()+" and cannot be overridden");}}if(z.extension){for(var D in z.extension){x=s[D].extension.getMetadata();var F=O.create(D,o.extension);var G=s[D].extension;var H=z.extension[D];for(v in H){if(!x.isMethodFinal(v)){a.overrideMethod(v,F,H,i,x.getOverrideExecution(v));a.overrideMethod(v,G,H,i,x.getOverrideExecution(v));}else{L.error("Method '"+v+"' of extension '"+D+"' is flagged final and cannot be overridden by extension '"+n+"'");}}}}u.reloadNeeded=true;}}var J=i.getInterface();if(l){s[l]=u;u.location=l;o[l]=J;I[l]=J;}else{s[n]=u;u.location="extension."+n;O.set("extension."+n,J,o);O.set("extension."+n,J,I);}}function f(o,i,l){if(i instanceof a){d(o,i,l);}else if(i.getMetadata&&i.getMetadata().getStereotype()=="controllerextension"){var n=new i();d(o,n,l);}else{var p=a.getMetadata().getLifecycleConfiguration();for(var s in i){if(s in p){a.overrideMethod(s,o,i,o,p[s].overrideExecution);}else{a.overrideMethod(s,o,i);}}}}function g(n,A){if(!n){throw new Error("Controller name ('sName' parameter) is required");}var s=n.replace(/\./g,"/")+".controller",i=l(sap.ui.require(s));function l(i){if(i){return i;}else if(r[n]){return c;}else{return O.get(n);}}if(A){return new Promise(function(o,p){if(!i){sap.ui.require([s],function(i){o(l(i));},p);}else{o(i);}});}else if(!i){i=sap.ui.requireSync(s);return l(i);}else{return i;}}function h(o,A){var p=c._sExtensionProvider.replace(/\./g,"/"),P=m[p];if(A){return new Promise(function(l,n){if(p){if(P){l(P);}else{sap.ui.require([p],function(i){P=new i();m[p]=P;l(P);},n);}}else{l();}});}else if(p){if(P){return P;}else{var i=sap.ui.requireSync(p);P=new i();m[p]=P;return P;}}}function j(i,n){var o;if(r[n]){o=new i(n);}else{o=new i();}if(!o){throw new Error("Controller "+n+" couldn't be instantiated");}return o;}c.extendByMember=function(o,A){var s;for(s in o){if(o[s]&&o[s].getMetadata&&o[s].getMetadata().getStereotype()=="controllerextension"){o[s]=new o[s]();}}for(s in o){if(o[s]&&o[s].getMetadata&&o[s].getMetadata().getStereotype()=="controllerextension"){f(o,o[s],s);}}if(A){return Promise.resolve(o);}else{return o;}};c.extendByCustomizing=function(o,n,A){var p=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(!p){return A?Promise.resolve(o):o;}function s(z,o){return g(z,A).then(function(t){t=r[z]||t;if(t!==undefined){if(t.getMetadata&&t.getMetadata().isA("sap.ui.core.mvc.Controller")){L.warning("Attempt to load Extension Controller "+z+" was not successful","Controller extension should be a plain object.",null,function(){return{type:"ControllerExtension",name:z};});}else{f(o,t);}return o;}},function(B){L.error("Attempt to load Extension Controller "+z+" was not successful - is the Controller correctly defined in its file?");});}var t,u=[],v,w=A?Promise.resolve(o):o,x=p.getControllerExtension(n,M._sOwnerId);if(x){v=typeof x==="string"?x:x.controllerName;u=x.controllerNames||[];if(v){u.unshift(v);}}for(var i=0,l=u.length;i<l;i++){var y=u[i];if(typeof y==="string"){L.info("Customizing: Controller '"+n+"' is now extended by '"+y+"'");if(A){w=w.then(s.bind(null,y,o));}else{if(!r[y]&&!sap.ui.require(y)){g(y);}if((t=r[y])!==undefined){f(o,t);}else{L.error("Attempt to load Extension Controller "+y+" was not successful - is the Controller correctly defined in its file?",null,function(){return{type:"ControllerExtension",name:y};});}}}}return w;};c.extendByProvider=function(o,n,s,A){if(!c._sExtensionProvider){return A?Promise.resolve(o):o;}L.info("Customizing: Controller '"+n+"' is now extended by Controller Extension Provider '"+c._sExtensionProvider+"'");var p,t;if(A){return h(o,A).then(function(t){return t.getControllerExtensions(n,s,A);}).then(function(u){if(u&&u.length){for(var i=0,l=u.length;i<l;i++){f(o,u[i]);}}return o;},function(u){L.error("Controller Extension Provider: Error '"+u+"' thrown in "+c._sExtensionProvider+"; extension provider ignored.");return o;});}else{t=h(o,A);p=t.getControllerExtensions(n,s,A);if(p&&Array.isArray(p)){for(var i=0,l=p.length;i<l;i++){f(o,p[i]);}}else{L.error("Controller Extension Provider: Error in ExtensionProvider.getControllerExtensions: "+c._sExtensionProvider+" - no valid extensions returned");}}return o;};c.create=function(o){return k(o.name,undefined,true);};sap.ui.controller=function(n,o,A){if(A){L.info("Do not use deprecated factory function 'sap.ui.controller("+n+")'. Use 'sap.ui.core.mvc.Controller.create(...)' instead.","sap.ui.controller",null,function(){return{type:"sap.ui.controller",name:n};});}else{L.warning("Do not use synchronous controller creation for controller '"+n+"'! Use the new asynchronous factory 'sap.ui.core.mvc.Controller.create(...)' instead.","sap.ui.controller",null,function(){return{type:"sap.ui.controller",name:n};});}return k.apply(this,arguments);};function k(n,o,A){var i,l,s=M._sOwnerId;if(typeof o==="boolean"){o=undefined;}if(!o){if(A){return g(n,A).then(function(l){return j(l,n);}).then(function(i){return c.extendByCustomizing(i,n,A);}).then(function(i){return c.extendByProvider(i,n,s,A);}).then(function(i){i._sapui_isExtended=true;return i;});}else{l=g(n,A);i=j(l,n);i=c.extendByCustomizing(i,n,A);i=c.extendByProvider(i,n,s,A);i._sapui_isExtended=true;}return i;}else{r[n]=o;L.info("For defining controllers use Controller.extend instead");}}c.prototype.getPublicMethods=function(){var p={},o=this.getMetadata(),i=o.getAllMethods(),l=o.getLifecycleConfiguration();Object.keys(i).forEach(function(s){if(o.isMethodPublic(s)){p[s]=i[s];p[s].reloadNeeded=!!(s in l);}});delete p.extension;var n=this["_sapui_Extensions"];Object.keys(n).forEach(function(N){var s=n[N];var t=s.extension.getInterface();var A=s.extension.getMetadata().getAllMethods();Object.keys(t).forEach(function(u){delete p[s.location];var v=e({},A[u],{reloadNeeded:s.reloadNeeded});p[s.location+"."+u]=v;});});return p;};c.prototype.destroy=function(){Object.keys(this["_sapui_Extensions"]).forEach(function(o){O.set(o.location,null,this);}.bind(this));delete this["_sapui_Extensions"];delete this["_sapui_Interface"];E.prototype.destroy.apply(this,arguments);};c.prototype.getView=function(){return this.oView;};c.prototype.byId=function(i){return this.oView?this.oView.byId(i):undefined;};c.prototype.createId=function(i){return this.oView?this.oView.createId(i):undefined;};c.prototype.getOwnerComponent=function(){var i=sap.ui.requireSync("sap/ui/core/Component");return i.getOwnerComponentFor(this.getView());};c.prototype.connectToView=function(v){this.oView=v;if(this.onInit){v.attachAfterInit(this.onInit,this);}if(this.onExit){v.attachBeforeExit(this.onExit,this);}if(this.onAfterRendering){v.attachAfterRendering(this.onAfterRendering,this);}if(this.onBeforeRendering){v.attachBeforeRendering(this.onBeforeRendering,this);}};c._sExtensionProvider=null;c.registerExtensionProvider=function(s){c._sExtensionProvider=s;};return c;});
