/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/Element','sap/ui/core/Control','sap/ui/base/ManagedObjectObserver','sap/ui/layout/library',"sap/base/Log"],function(E,C,M,l,L){"use strict";var F=E.extend("sap.ui.layout.form.FormElement",{metadata:{library:"sap.ui.layout",properties:{visible:{type:"boolean",group:"Misc",defaultValue:true},_editable:{type:"boolean",group:"Misc",defaultValue:false,visibility:"hidden"}},defaultAggregation:"fields",aggregations:{label:{type:"sap.ui.core.Label",altTypes:["string"],multiple:false},_label:{type:"sap.ui.core.Label",multiple:false,visibility:"hidden"},fields:{type:"sap.ui.core.Control",multiple:true,singularName:"field"}},designtime:"sap/ui/layout/designtime/form/FormElement.designtime"}});F.prototype.init=function(){this._oFieldDelegate={oElement:this,onAfterRendering:h};this._oObserver=new M(this._observeChanges.bind(this));this._oObserver.observe(this,{aggregations:["fields"]});};F.prototype.exit=function(){if(this._oLabel){delete this._oLabel;}this._oFieldDelegate=undefined;this._oObserver.disconnect();this._oObserver=undefined;};F.prototype.setLabel=function(A){if(!this._oLabel){var o=this.getLabel();if(o){if(o.setAlternativeLabelFor){o.setAlternativeLabelFor(null);}if(o.isRequired){o.isRequired=o._sapuiIsRequired;o._sapuiIsRequired=undefined;o.disableRequiredChangeCheck(false);}if(o.isDisplayOnly){o.isDisplayOnly=o._sapuiIsDisplayOnly;o._sapuiIsDisplayOnly=undefined;}if(o.isWrapping){o.isWrapping=o._sapuiIsWrapping;o._sapuiIsWrapping=undefined;}}}this.setAggregation("label",A);var i=A;if(typeof i==="string"){if(!this._oLabel){this._oLabel=l.form.FormHelper.createLabel(i,this.getId()+"-label");this.setAggregation("_label",this._oLabel,true);this._oLabel.disableRequiredChangeCheck(true);if(this._oLabel.isRequired){this._oLabel.isRequired=b;}if(this._oLabel.isDisplayOnly){this._oLabel.isDisplayOnly=c;}if(this._oLabel.setWrapping){this._oLabel.setWrapping(true);}}else{this._oLabel.setText(i);}}else{if(this._oLabel){this._oLabel.destroy();delete this._oLabel;}if(i&&i.isRequired){i._sapuiIsRequired=i.isRequired;i.isRequired=b;i.disableRequiredChangeCheck(true);}if(i&&i.isDisplayOnly){i._sapuiIsDisplayOnly=i.isDisplayOnly;i.isDisplayOnly=c;}if(i&&i.isWrapping){i._sapuiIsWrapping=i.isWrapping;i.isWrapping=d;}}e.call(this);return this;};F.prototype.destroyLabel=function(){this.destroyAggregation("label");if(this._oLabel){this._oLabel.destroy();delete this._oLabel;}return this;};F.prototype.getLabelControl=function(){if(this._oLabel){return this._oLabel;}else{return this.getLabel();}};F.prototype.updateFields=function(){var j=this.getFields();var o;var i=0;for(i=0;i<j.length;i++){o=j[i];g.call(this,o);}this.updateAggregation("fields");j=this.getFields();for(i=0;i<j.length;i++){o=j[i];f.call(this,o);}e.call(this);return this;};F.prototype.enhanceAccessibilityState=function(o,A){var i=this.getLabelControl();if(i&&i!=o){var s=A["labelledby"];if(!s){s=i.getId();}else{var j=s.split(" ");if(j.indexOf(i.getId())<0){j.splice(0,0,i.getId());s=j.join(" ");}}A["labelledby"]=s;}return A;};F.prototype.onLayoutDataChange=function(o){var p=this.getParent();if(p&&p.onLayoutDataChange){p.onLayoutDataChange(o);}};F.prototype.getRenderedDomRef=function(){var t=this;var o=this.getParent();if(o&&o.getElementRenderedDomRef){return o.getElementRenderedDomRef(t);}else{return null;}};F.prototype._setEditable=function(i){var o=this.getProperty("_editable");this.setProperty("_editable",i,true);if(i!==o){this.invalidateLabel();}};F.prototype.invalidateLabel=function(){var o=this.getLabelControl();if(o&&o.getDomRef()){o.invalidate();}};F.prototype.isVisible=function(){return this.getVisible();};F.prototype.getFieldsForRendering=function(){return this.getFields();};F.prototype._observeChanges=function(o){if(o.object==this){if(o.name=="fields"){_.call(this,o.child,o.mutation);}}else{a.call(this,o);}};function _(o,m){if(m=="insert"){if(!o.isA("sap.ui.core.IFormContent")){L.warning(o+" is not valid Form content",this);}f.call(this,o);}else{g.call(this,o);}e.call(this);}function a(o){if(o.name=="required"){this.invalidateLabel();}}function b(){if(this.getRequired&&this.getRequired()){return true;}var o=this.getParent();var j=o.getFields();for(var i=0;i<j.length;i++){var k=j[i];if(k.getRequired&&k.getRequired()===true&&(!k.getEditable||k.getEditable())){return true;}}return false;}function c(){if(this.getDisplayOnly){if(!this.isPropertyInitial("displayOnly")){return this.getDisplayOnly();}var o=this.getParent();return!o.getProperty("_editable");}return false;}function d(){if(this.getWrapping&&!this.isPropertyInitial("wrapping")){return this.getWrapping();}return true;}function e(){var i=this.getFields();var o=i.length>0?i[0]:null;var j=this._oLabel;if(j){j.setLabelFor(o);}else{j=this.getLabel();if(j instanceof C){j.setAlternativeLabelFor(o);}}}function f(o){o.addDelegate(this._oFieldDelegate);if(!this._bNoObserverChange&&o.getMetadata().getProperty("required")){this._oObserver.observe(o,{properties:["required"]});}}function g(o){o.removeDelegate(this._oFieldDelegate);if(!this._bNoObserverChange){this._oObserver.unobserve(o);}}function h(o){var p=this.oElement.getParent();if(p&&p.contentOnAfterRendering){p.contentOnAfterRendering(this.oElement,o.srcControl);}}return F;});
