/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./BasePanel","sap/m/Label","sap/m/CustomListItem","sap/m/Panel","sap/m/Select","sap/ui/core/Item","sap/m/Toolbar","sap/m/List",'sap/ui/model/Filter',"sap/ui/layout/FixFlex","sap/m/Page","sap/m/Button"],function(B,L,C,P,S,I,T,a,F,b,c,d){"use strict";var G=B.extend("sap.ui.mdc.p13n.panels.GroupPanelBase",{library:"sap.ui.mdc",metadata:{properties:{itemFactory:{type:"function"},expandFirstGroup:{type:"boolean"},allowSelection:{type:"boolean",defaultValue:true},grouping:{type:"boolean",defaultValue:true}},aggregations:{footerToolbar:{type:"sap.m.IBar",multiple:false}}},renderer:{}});G.prototype._setInnerLayout=function(){this._oResetBtn=new d(this.getId()+"-resetBtn",{text:this.getResourceText("p13nDialog.RESET"),visible:false,type:"Transparent",press:function(e){this.getOnReset()();}.bind(this)}).addStyleClass("sapUiGroupPanelFloatRight");this._oGroupModeSelect=new S({items:[new I({key:"all",text:this.getResourceText("p13nDialog.GROUPMODE_ALL")}),new I({key:"visible",text:this.getResourceText("p13nDialog.GROUPMODE_VISIBLE")})],change:this._onGroupModeChange.bind(this)});var o=new c({showHeader:false,content:[new b({minFlexSize:1,fixContent:[this._oGroupModeSelect,this._oResetBtn,this._getSearchField()],flexContent:[this._oListControl]})]});this.addStyleClass("sapUiMDCGroupPanelBase");this.setAggregation("_content",o);};G.prototype.setOnReset=function(o){this.setProperty("onReset",o);if(o instanceof Function){this._oResetBtn.setVisible(true);}else{this._oResetBtn.setVisible(false);}return this;};G.prototype.setItemFactory=function(f){this.setProperty("itemFactory",f);var o=this._getDefaultGroupTemplate(f);this.setTemplate(o);return this;};G.prototype.setAllowSelection=function(A){this.setProperty("allowSelection",A);this._oGroupModeSelect.setVisible(A);this.setItemFactory(this.getItemFactory());return this;};G.prototype._getDefaultGroupTemplate=function(f){var e=this.getExpandFirstGroup();var l=new a({selectionChange:function(h){var s=h.getParameter("listItem").getBindingContext().sPath;var j=this.getModel().getProperty(s);this.fireChange({reason:j.selected?"Add":"Remove",item:j});}.bind(this),showSeparators:"None",mode:this.getAllowSelection()?"MultiSelect":"None",items:{path:"items",key:"name",factory:f}});var p=new P({expandable:true,expanded:{path:"group",formatter:function(){if(this.getBindingContext()){var E=e&&(this.getBindingContext().sPath.split("/")[2]==="0");return E;}else{return false;}}},width:"100%",headerToolbar:[new T({content:[new L({text:"{groupLabel}",design:"Bold"})]})],content:[l]});var g=this.getGrouping();if(!g&&!l.hasStyleClass("sapUiMDCPanelPadding")){l.addStyleClass("sapUiMDCPanelPadding");}else{l.removeStyleClass("sapUiMDCPanelPadding");}var i=g?p:l;var o=new C({visible:"{groupVisible}",content:[i]});return o;};G.prototype.setGrouping=function(A){this.setProperty("grouping",A);this.setItemFactory(this.getItemFactory());return this;};G.prototype._createInnerListControl=function(){var o=new a(this.getId()+"idBasePanelTable",{rememberSelections:false,itemPress:[this._onItemPressed,this],selectionChange:[this._onSelectionChange,this],sticky:["HeaderToolbar","ColumnHeaders"],dragDropConfig:this._oDragDropInfo});return o;};G.prototype.setFooterToolbar=function(f){this.setAggregation("footerToolbar",f);this.getAggregation("_content").setFooter(f.clone());return this;};G.prototype.setGroupExpanded=function(g,e){this._oListControl.getItems().forEach(function(o){var p=o.getContent()[0];var s=p.getBindingContext().sPath;var i=this.getModel().getProperty(s);if(i.group===g){p.setExpanded(e);}},this);};G.prototype._onGroupModeChange=function(e){this._sModeKey=e.getParameters().selectedItem.getKey();this._filterByModeAndSearch();};G.prototype._togglePanelVisibility=function(p){var i=p.getContent()[0];var s=p.getBindingContext().sPath;var o=this.getModel().getProperty(s);o.groupVisible=i.getVisibleItems().length<1?false:true;this.getModel().setProperty(s,o);};G.prototype._onSearchFieldLiveChange=function(e){this._sSearchString=e.getSource().getValue();this._filterByModeAndSearch();};G.prototype._filterByModeAndSearch=function(){var f=[],o;var e;if(this._sSearchString){f=[new F("label","Contains",this._sSearchString),new F("tooltip","Contains",this._sSearchString)];e=new F(f,false);}if(this._sModeKey==="visible"){o=new F("selected","EQ",true);if(e){e=new F([new F({filters:f}),o],true);}else{e=o;}}e=e?e:[];if(this.getGrouping()){this._oListControl.getItems().forEach(function(O){var p=O.getContent()[0];var i=p.getContent()[0];i.getBinding("items").filter(e,true);this._togglePanelVisibility(p);}.bind(this));}};G.prototype.getSelectedFields=function(){if(!this.getAllowSelection()){return;}var s=[];this._oListControl.getItems().forEach(function(o){var p=o.getContent()[0];var i=p.getContent()[0];i.getItems().forEach(function(e){if(e.getSelected()){var f=e.getBindingContextPath();var k=this.getModel().getProperty(f).name;s.push(k);}}.bind(this));}.bind(this));return s;};G.prototype._checkAllPanels=function(){this._oListControl.getItems().forEach(function(o){var p=o.getContent()[0];this._togglePanelVisibility(p);}.bind(this));};G.prototype.setP13nModel=function(p){B.prototype.setP13nModel.apply(this,arguments);if(this.getGrouping()){this._checkAllPanels();}this._bindListItems();};G.prototype._bindListItems=function(){var m={path:"/itemsGrouped",key:"name",templateShareable:false,template:this.getTemplate().clone()};B.prototype._bindListItems.call(this,m);};G.prototype.exit=function(){B.prototype.exit.apply(this,arguments);this._sSearchString=null;this._oResetBtn=null;};return G;});
