/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/rta/appVariant/AppVariantUtils","sap/ui/fl/registry/Settings","sap/base/i18n/ResourceBundle","sap/ui/fl/write/api/AppVariantWriteAPI"],function(A,S,R,a){"use strict";var U={};var m=sap.ui.require.toUrl("sap/ui/rta/appVariant/manageApps/")+"webapp";var i=R.create({url:m+"/i18n/i18n.properties"});U._checkNavigationSupported=function(n){var N=sap.ushell.Container.getService("CrossApplicationNavigation");return N.getLinks(n);};U._checkAppType=function(o,b){if(o&&b){return i.getText("MAA_ORIGINAL_TYPE");}else if(b){return i.getText("MAA_APP_VARIANT_TYPE");}else if(o){return i.getText("MAA_ORIGINAL_TYPE");}return undefined;};U._calculateCurrentStatus=function(s,b){var n=A.getNewAppVariantId();if(b==='R'){return i.getText("MAA_OPERATION_IN_PROGRESS");}else if(n===s){A.setNewAppVariantId(null);if(b!=='E'){return i.getText("MAA_NEW_APP_VARIANT");}}};U._checkMenuItemOptions=function(p,b){var o={};if(p.isKeyUser){if(p.isOriginal){o.delAppVarButtonVisibility=false;o.adaptUIButtonVisibility=false;return o;}if(p.appVarStatus==='U'||p.appVarStatus==='E'||p.appVarStatus==='R'){o.saveAsButtonEnabled=false;}o.adaptUIButtonVisibility=true;if(b){if(p.isS4HanaCloud){o.delAppVarButtonEnabled=true;o.delAppVarButtonVisibility=true;}else{o.delAppVarButtonEnabled=false;o.delAppVarButtonVisibility=true;}}else{o.delAppVarButtonVisibility=true;if(p.appVarStatus==='R'){o.delAppVarButtonEnabled=false;}else{o.delAppVarButtonEnabled=true;}}}else{o.delAppVarButtonVisibility=false;o.adaptUIButtonVisibility=false;}return o;};U._getNavigationInfo=function(p){var n={};var s=p.startWith.semanticObject;var b=p.startWith.action;var P=p.startWith.parameters;var N={semanticObject:s,action:b,params:P};return this._checkNavigationSupported(N).then(function(r){var d;if(r.length&&p.isKeyUser){n.adaptUIButtonEnabled=true;if(p.appVarStatus==='R'||p.appVarStatus==='U'||p.appVarStatus==='E'){n.adaptUIButtonEnabled=false;n.appVarStatus=p.appVarStatus;}}else{n.adaptUIButtonEnabled=false;}d=this._checkMenuItemOptions(p,n.adaptUIButtonEnabled);n.semanticObject=s;n.action=b;if(P){Object.keys(P).forEach(function(c){if(P[c].value){P[c]=P[c].value;}});n.params=P;}n=Object.assign({},n,d);return n;}.bind(this));};U._prepareAppVariantAttributes=function(o){return{appId:o.appId,title:o.title||'',subTitle:o.subTitle||'',description:o.description||'',icon:o.iconUrl||'',iconText:o.iconText,isOriginal:o.isOriginal,isAppVariant:o.isAppVariant,descriptorUrl:o.descriptorUrl,appVarStatus:o.appVarStatus};};U.getAppVariantOverviewAttributes=function(o,k){var b;var I=o.iconUrl;if(I&&sap.ui.core.IconPool.isIconURI(I)){o.iconText=I.split('//')[1];}b=this._prepareAppVariantAttributes(o);b.isKeyUser=k;b.typeOfApp=this._checkAppType(o.isOriginal,o.isAppVariant);b.currentStatus=this._calculateCurrentStatus(o.appId,o.appVarStatus);var c;return S.getInstance().then(function(s){c=A.isS4HanaCloud(s);b.isS4HanaCloud=c;var p={isKeyUser:k,isOriginal:o.isOriginal,isS4HanaCloud:c,appVarStatus:o.appVarStatus};if(o.hasStartableIntent){p.startWith=o.startWith;return this._getNavigationInfo(p).then(function(n){b=Object.assign({},b,n);return b;});}b.adaptUIButtonEnabled=false;var d=this._checkMenuItemOptions(p,false);b=Object.assign({},b,d);return Promise.resolve(b);}.bind(this));};U.getAppVariantOverview=function(r,k){var l=k?'CUSTOMER*':'VENDOR';var p={selector:{appId:r},layer:l};return a.listAllAppVariants(p).then(function(o){var b=[];var c;if(o.response&&o.response.items){c=o.response.items;}else{return Promise.resolve([]);}c.forEach(function(d){if(!d.isDescriptorVariant){b.push(this.getAppVariantOverviewAttributes(d,k));}},this);return Promise.all(b).then(function(d){return d;});}.bind(this));};U.getDescriptor=function(p){return a.getManifest(p).then(function(r){return r.response;});};return U;},true);
